nu.xom

## Class IllegalAddException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - nu.xom.XMLException
        - - nu.xom.WellformednessException
          - - nu.xom.IllegalAddException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CycleException, MultipleParentException

      public class IllegalAddException
      extends WellformednessException

  Indicates an attempt to add a node in a wrong place; for instance adding a `Text` node to a `Document` object.

  Version:
    1.1b3
  Author:
    Elliotte Rusty Harold
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalAddException(String message)` Creates a new `IllegalAddException` with a detail message.
    `IllegalAddException(String message, Throwable cause)` Creates a new `IllegalAddException` with a detail message and an underlying root cause.

  - ### Method Summary

    - ### Methods inherited from class nu.xom.XMLException

      `getCause, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalAddException

          public IllegalAddException(String message)

      Creates a new `IllegalAddException` with a detail message.

      Parameters:
        `message` - a string indicating the specific problem

    - #### IllegalAddException

          public IllegalAddException(String message,
                                     Throwable cause)

      Creates a new `IllegalAddException` with a detail message and an underlying root cause.

      Parameters:
        `message` - a string indicating the specific problem
        `cause` - the original cause of this exception

Copyright 2002-2026 Elliotte Rusty Harold
elharo@ibiblio.org